> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a context by UID



## OpenAPI

````yaml /deploy/api/openapi.json patch /api/v1/appuid/{appUid}/contexts/uid/{uid}
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/contexts/uid/{uid}:
    patch:
      tags:
        - Contexts
      summary: Update a context by UID
      operationId: updateContextByUid
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: uid
          in: path
          description: Unique ID of the context
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  maxLength: 100
                  type: string
                  description: Name of the context
                description:
                  maxLength: 100
                  type: string
                  description: Description of the context
        required: false
      responses:
        '200':
          description: Successful update
          content:
            application/json:
              schema:
                type: object
                properties:
                  uid:
                    type: string
                    description: Unique ID of the context
                  name:
                    type: string
                  description:
                    type: string
                  externalId:
                    type: string
                    description: Optional External ID of the context
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO 8601)
                    format: date-time
                  isSynced:
                    type: boolean
                    description: Is the context synced
                  externalTenantId:
                    type: string
                    description: External tenant identifier
        '404':
          description: Context not found
          content: {}
        '422':
          description: Unprocessable Entity
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````